Skip to main content
PUT
/
api
/
constraint
/
{id}
Updates an existing constraint.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/constraint/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "container": [
    "<string>"
  ],
  "sourceFieldId": "<string>",
  "sourceFieldDataId": "<string>",
  "targetFieldId": "<string>",
  "targetFieldDataId": [
    "<string>"
  ],
  "targetMode": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the constraint to update.

Body

The constraint with updated values.

entity
null | string
name
string
container
string[]
sourceFieldId
string
sourceFieldDataId
string
targetFieldId
string
targetFieldDataId
string[]
targetMode
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Constraint updated successfully.